bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From c..@apache.org
Subject [1/7] git commit: BIGTOP-1438. asciidoc is no longer needed by Sqoop
Date Mon, 08 Sep 2014 02:51:39 GMT
Repository: bigtop
Updated Branches:
  refs/heads/branch-0.8 4f25555e0 -> 3bbf3e71a (forced update)


BIGTOP-1438. asciidoc is no longer needed by Sqoop


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/f86a4549
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/f86a4549
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/f86a4549

Branch: refs/heads/branch-0.8
Commit: f86a454918f39fc44b303b672c5afc25fbf98903
Parents: e93a21d
Author: Roman Shaposhnik <rvs@apache.org>
Authored: Sun Sep 7 22:37:44 2014 +0000
Committer: Roman Shaposhnik <rvs@apache.org>
Committed: Sun Sep 7 15:42:18 2014 -0700

----------------------------------------------------------------------
 README.md                                      | 2 +-
 bigtop-packages/src/rpm/sqoop/SPECS/sqoop.spec | 1 -
 bigtop_toolchain/manifests/packages.pp         | 6 +++---
 src/site/xdoc/index.xml                        | 1 -
 4 files changed, 4 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/f86a4549/README.md
----------------------------------------------------------------------
diff --git a/README.md b/README.md
index 893de30..c1e24d4 100644
--- a/README.md
+++ b/README.md
@@ -119,7 +119,7 @@ __On all systems, Building Apache Bigtop requires the following tools__
 
 * Additionally, some details for specific linux versions :
   * __Debian__ based distros need these packages : build-essential dh-make debhelper devscripts,
reprepro
-  * __openSUSE 11.4__ needs these packages : relaxngDatatypedocbook-utils docbook-simple,
asciidoc, fuse-devel, docbook5, docbook5-xsl-stylesheets, libxml2-devel, xmlformat, xmlto,
libxslt, libopenssl-devel
+  * __openSUSE 11.4__ needs these packages : relaxngDatatypedocbook-utils docbook-simple,
fuse-devel, docbook5, docbook5-xsl-stylesheets, libxml2-devel, xmlformat, xmlto, libxslt,
libopenssl-devel
 
 * __Building packages__ : `make [component-name]-[rpm|deb]`
 * __Building local YUM/APT repositories__ : `make [component-name]-[yum|apt]`

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f86a4549/bigtop-packages/src/rpm/sqoop/SPECS/sqoop.spec
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/rpm/sqoop/SPECS/sqoop.spec b/bigtop-packages/src/rpm/sqoop/SPECS/sqoop.spec
index 989c83c..c8b1acd 100644
--- a/bigtop-packages/src/rpm/sqoop/SPECS/sqoop.spec
+++ b/bigtop-packages/src/rpm/sqoop/SPECS/sqoop.spec
@@ -69,7 +69,6 @@ Source9: sqoop-server.svc
 Source10: sqoop-server.sh
 Source11: tomcat-deployment.sh
 Buildarch: noarch
-BuildRequires: asciidoc
 Requires: hadoop-client, bigtop-utils >= 0.7, bigtop-tomcat, %{name}-client = %{version}-%{release}
 
 %description

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f86a4549/bigtop_toolchain/manifests/packages.pp
----------------------------------------------------------------------
diff --git a/bigtop_toolchain/manifests/packages.pp b/bigtop_toolchain/manifests/packages.pp
index 7612de5..2f910cc 100644
--- a/bigtop_toolchain/manifests/packages.pp
+++ b/bigtop_toolchain/manifests/packages.pp
@@ -15,9 +15,9 @@
 
 class bigtop_toolchain::packages {
   case $operatingsystem{
-  /(?i:(centos|fedora))/: { $pkgs = [ "wget", "git", "make" , "cmake" , "rpm-build" , "lzo-devel",
"redhat-rpm-config", "openssl-devel", "asciidoc", "fuse-libs", "fuse-devel", "fuse", "gcc",
"gcc-c++", "autoconf", "automake", "libtool"] }
-  /(?i:(SLES|opensuse))/: { $pkgs = [ "unzip", "wget", "git", "make" , "cmake" , "rpm-devel"
, "lzo-devel", "libopenssl-devel", "asciidoc", "fuse-devel", "fuse", "gcc", "gcc-c++", "autoconf",
"automake", "libtool", "pkg-config"] }
-  Ubuntu: { $pkgs = [ "liblzo2-dev", "libzip-dev", "sharutils", "libfuse-dev", "cmake", "pkg-config",
"debhelper", "devscripts", "protobuf-compiler", "build-essential", "dh-make", "reprepro",
"automake", "autoconf", "libfuse2", "libssh-dev", "asciidoc", "libjansi-java" ] }
+  /(?i:(centos|fedora))/: { $pkgs = [ "wget", "git", "make" , "cmake" , "rpm-build" , "lzo-devel",
"redhat-rpm-config", "openssl-devel", "fuse-libs", "fuse-devel", "fuse", "gcc", "gcc-c++",
"autoconf", "automake", "libtool"] }
+  /(?i:(SLES|opensuse))/: { $pkgs = [ "unzip", "wget", "git", "make" , "cmake" , "rpm-devel"
, "lzo-devel", "libopenssl-devel", "fuse-devel", "fuse", "gcc", "gcc-c++", "autoconf", "automake",
"libtool", "pkg-config"] }
+  Ubuntu: { $pkgs = [ "liblzo2-dev", "libzip-dev", "sharutils", "libfuse-dev", "cmake", "pkg-config",
"debhelper", "devscripts", "protobuf-compiler", "build-essential", "dh-make", "reprepro",
"automake", "autoconf", "libfuse2", "libssh-dev", "libjansi-java" ] }
 }
   package { $pkgs:
     ensure => installed,

http://git-wip-us.apache.org/repos/asf/bigtop/blob/f86a4549/src/site/xdoc/index.xml
----------------------------------------------------------------------
diff --git a/src/site/xdoc/index.xml b/src/site/xdoc/index.xml
index f7e4697..1e6202f 100644
--- a/src/site/xdoc/index.xml
+++ b/src/site/xdoc/index.xml
@@ -77,7 +77,6 @@
 							<li>automake</li>
 							<li>libtool</li>
 							<li>sharutils</li>
-							<li>asciidoc</li>
 							<li>xmlto</li>
 						</ul>
 					</td>


Mime
View raw message